using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组增减款项表
    /// </summary>
    [SugarTable("Grp_DecreasePayments")]
    public class Grp_DecreasePayments: EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }
        /// <summary>
        /// 费用名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string PriceName { get; set; }
        /// <summary>
        /// 费用金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 费用币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }
        /// <summary>
        /// 附件地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(MAX)")]
        public string FilePath { get; set; }
    }
}
